function reg(n) {
    var device = api.deviceId;
    var phone = document.getElementById("username_reg").value;
    var pwd = document.getElementById("pwd_reg").value;
    var againpwd = document.getElementById("againpwd_reg").value;
    var code = document.getElementById("code_reg").value;
    var sms_code = document.getElementById("sms_code_reg").value;
    if (n == 'getcode') {
        var connectionType = api.connectionType;
        if (connectionType == 'none') {
            api.toast({
                msg: '请检查当前网络是否通畅'
            });
        } else if ((/^1[34578]\d{9}$/.test(phone))) {
            api.showProgress({
                title: '获取验证码中..',
                modal: true
            });
            api.ajax({
                url: 'http://qn.itlinux.cn/Home/User/sendsms/type/register',
                method: 'post',
                dataType: 'text',
                returnAll: true,
                data: {
                    values: {
                        phone: phone
                    }
                }
            }, function(ret, err) {
                api.hideProgress();
                if (ret.statusCode == 200) {
                    if (ret.body != '') {
                        document.getElementById("sms_code_reg").value = ret.body;
                        invokeSettime();
                    } else {
                        api.toast({
                            location: 'middle',
                            msg: '获取验证码失败,请稍后再试'
                        });
                    }
                } else {
                    api.toast({
                        location: 'middle',
                        msg: '连接平台失败,'
                    });
                }
            });
        } else {
            api.toast({
                location: 'middle',
                msg: '请填写正确的手机号'
            });
        }
    } else if (n == 'go') {
        if (againpwd != pwd) {
            api.toast({
                location: 'middle',
                msg: '两次密码不一致'
            });
        } else if (pwd == '' || againpwd == '') {
            api.toast({
                location: 'middle',
                msg: '密码不可为空'
            });
        } else if (!(/^1[34578]\d{9}$/.test(phone))) {
            api.toast({
                location: 'middle',
                msg: '手机号错误'
            });
        } else if (code == '') {
            api.toast({
                location: 'middle',
                msg: '验证码不可为空'
            });
        } else {
            var connectionType = api.connectionType;
            if (connectionType == 'none') {
                api.toast({
                    location: 'middle',
                    msg: '请检查当前网络是否通畅'
                });
            } else {
                api.showProgress({
                    title: '注册中..',
                    modal: true
                });
                api.ajax({
                    url: 'http://qn.itlinux.cn/Home/User/user_register',
                    method: 'post',
                    dataType: 'json',
                    returnAll: true,
                    data: {
                        values: {
                            code: code,
                            sms_code: sms_code,
                            username: phone,
                            pwd: pwd,
                            again_pwd: againpwd,
                            device: device
                        }
                    }
                }, function(ret, err) {
                    api.hideProgress();
                    if (ret.statusCode == 200) {
                        switch (ret.body.status) {
                            case 'exist':
                                api.toast({
                                    location: 'middle',
                                    msg: '当前用户已存在'
                                });
                                break;
                            case 'ok':
                                $api.setStorage('username', ret.body.phone);
                                $api.setStorage('vipexpire', ret.body.vipexpire);
                                $api.setStorage('uid', ret.body.id);
                                $api.setStorage('token', ret.body.token);
                                $api.setStorage('service', ret.body.imtype);
                                api.sendEvent({
                                    name: 'myEvent',
                                    extra: {
                                        key1: ret.body.phone,
                                        key2: ret.body.vipexpire
                                    }
                                });
                                api.showProgress({
                                    title: '注册成功,正在登录!',
                                    modal: true
                                });
                                api.closeWin();
                                break;
                            case 'fail':
                                api.toast({
                                    location: 'middle',
                                    msg: '系统繁忙,请稍后再试'
                                });
                                break;
                            case 'atypism':
                                api.toast({
                                    location: 'middle',
                                    msg: '两次密码输入不一致'
                                });
                                break;
                            case 'codeerror':
                                api.toast({
                                    location: 'middle',
                                    msg: '手机验证码错误!'
                                });
                                break;
                        }
                    } else {
                        api.toast({
                            location: 'middle',
                            msg: '连接平台失败'
                        });
                    }
                });
            }
        }
    }
};

function login() {
    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        api.toast({
            location: 'middle',
            msg: '请检查当前网络是否通畅'
        });
    } else {
        var phone = document.getElementById("username_login").value;
        var pwd = document.getElementById("pwd_login").value;
        var device = api.deviceId;
        if (!(/^1[34578]\d{9}$/.test(phone))) {
            api.toast({
                location: 'middle',
                msg: '手机号码错误!'
            });
        } else if (pwd.length < 5) {
            api.toast({
                location: 'middle',
                msg: '密码没有低于5位数的噢'
            });
        } else {
            api.showProgress({
                title: '正在登陆..',
                modal: true
            });
            api.ajax({
                url: 'http://qn.itlinux.cn/Home/User/login',
                method: 'post',
                dataType: 'json',
                returnAll: true,
                data: {
                    values: {
                        username: phone,
                        pwd: pwd,
                        device: device
                    }
                }
            }, function(ret, err) {
                api.hideProgress();
                if (ret.statusCode == 200) {
                    switch (ret.body.status) {
                        case 'notregister':
                            api.toast({
                                location: 'middle',
                                msg: '账号未注册'
                            });
                            break;
                        case 'devicenot':
                            api.toast({
                                location: 'middle',
                                msg: '账号存在多设备登录'
                            });
                            break;
                        case 'ok':
                            $api.setStorage('username', ret.body.phone);
                            $api.setStorage('vipexpire', ret.body.vipexpire);
                            $api.setStorage('uid', ret.body.id);
                            $api.setStorage('token', ret.body.token);
                            $api.setStorage('service', ret.body.imtype);
                            api.sendEvent({
                                name: 'myEvent',
                                extra: {
                                    key1: ret.body.phone,
                                    key2: ret.body.vipexpire
                                }
                            });
                            api.showProgress({
                                title: '登录成功!',
                                modal: true
                            });
                            api.closeWin();
                            break;
                        case 'pwderror':
                            api.toast({
                                location: 'middle',
                                msg: '密码错误'
                            });
                            break;
                    }
                } else {
                    api.toast({
                        location: 'middle',
                        msg: '连接平台失败!'
                    });
                }
            });
        }
    }
};

function invokeSettime() {
    var countdown = 60;
    settime();

    function settime() {
        if (countdown == 0) {
            document.getElementById("getcode").disabled = false;
            document.getElementById("getcode").innerHTML = "获取验证码";
            countdown = 60;
            return;
        } else {
            document.getElementById("getcode").disabled = true;
            document.getElementById("getcode").innerHTML = "(" + countdown + ")s 重新发送";
            countdown--;
        }
        setTimeout(function() {
            settime()
        }, 1000);
    }
};

function tui() {
    api.closeWin({
        name: 'login_win',
        animation: {
            type: "fade"
        }
    })
}

function mylogin(n) {
    var wx = api.require('wx');
    var qq = api.require('QQPlus');
    var openid = '';
    if (n == 'wechatlogin') {
        api.showProgress({
            title: '正在登录..',
            modal: true
        });
        api.ajax({
            url: 'http://qn.itlinux.cn/Home/User/getwechat',
            method: 'get',
            dataType: 'json',
        }, function(wechatdata) {
            var apiKey = wechatdata.apikey;
            var apiSecret = wechatdata.apisecret;
            wx.auth({
                apiKey: apiKey
            }, function(ret, err) {
                if (ret.status) {
                    wx.getToken({
                        apiKey: apiKey,
                        apiSecret: apiSecret,
                        code: ret.code
                    }, function(tret, err) {
                        if (tret.status && tret.openId != "") {
                            bind('wechat', tret.openId);
                        } else {
                            api.hideProgress();
                            api.toast({
                                location: 'middle',
                                msg: '网络错误!请重试'
                            });
                        }
                    });
                } else {
                    api.hideProgress();
                    api.toast({
                        location: 'middle',
                        msg: '授权失败'
                    });
                }
            });
        })

    } else if (n == 'qqlogin') {
        api.showProgress({
            title: '正在登录..',
            modal: true
        });
        qq.installed(function(ret, err) {
            if (ret.status) {
                qq.login(function(lret, err) {
                    if (lret.status && lret.openId != "") {
                        bind('qq', lret.openId);
                    } else {
                        api.hideProgress();
                        api.toast({
                            location: 'middle',
                            msg: '网络错误!请重试'
                        });
                    }
                });
            } else {
                api.hideProgress();
                api.toast({
                    location: 'middle',
                    msg: '请先安装QQ客户端'
                });
            }
        });
    }
}

function bind(type, openid) {
    var device = api.deviceId;
    api.ajax({
        url: 'http://qn.itlinux.cn/Home/User/openbind',
        method: 'post',
        dataType: 'json',
        returnAll: true,
        data: {
            values: {
                openid: openid,
                type: type,
                device: device
            }
        }
    }, function(jret, jerr) {
        switch (jret.body.status) {
            case 'ok':
                var reg = /^\d+$/;
                if (reg.test(jret.body.phone)) {
                    var usernames = jret.body.phone;
                } else {
                    var usernames = jret.body.id;
                }
                $api.setStorage('username', usernames);
                $api.setStorage('vipexpire', jret.body.vipexpire);
                $api.setStorage('uid', jret.body.id);
                $api.setStorage('token', jret.body.token);
                api.sendEvent({
                    name: 'myEvent',
                    extra: {
                        key1: usernames,
                        key2: jret.body.vipexpire
                    }
                });
                setTimeout("api.closeWin();", 1000);
                break;
            case 'devicenot':
                api.hideProgress();
                api.toast({
                    location: 'middle',
                    msg: '账号存在多设备登录!'
                });
                break;
            default:
                api.hideProgress();
                api.toast({
                    location: 'middle',
                    msg: '连接平台失败!'
                });
        }
    });
}
