var video;
var audio;
var isVideoFullScreen = false;
//判断是否为有效值
function IsValid(s) {
	if ( typeof (s) == 'undefined')
		return false;
	if (s === 'undefined')
		return false;
	if (!s && (s != 0))
		return false;
	return true;
}
		
function InitVideoEvent(){
	video = $api.byId('my-video');
	if(!IsValid(video))
		return;
	video.addEventListener('click', function(){
		console.log('点击控件!');
		//InFullScreen();
		//window.setTimeout('InVideoScreen();', 500);
	});
	video.addEventListener('play', function(){
		console.log('开始播放!');
		//InFullScreen();
		//window.setTimeout('InVideoScreen();', 500);
	});
	video.addEventListener('ended', function(){
		console.log('播放结束!');
		//if(isVideoFullScreen) ToggleVideoSize();
	});
	
	//onwebkitfullscreenchange="ToggleVideoSize();"
	//resize orientationchange webkitfullscreenchange mozfullscreenchange fullscreenchange
	video.addEventListener('resize', function(){
		console.log('resize!');
		//ToggleVideoSize();
	});
	video.addEventListener('orientationchange', function(){
		console.log('orientationchange!');
		ToggleVideoSize();
	});
	video.addEventListener('webkitfullscreenchange', function(){
		console.log('webkitfullscreenchange!');
		ToggleVideoSize();
	});
	video.addEventListener('mozfullscreenchange', function(){
		console.log('mozfullscreenchange!');
		ToggleVideoSize();
	});
	video.addEventListener('fullscreenchange', function(){
		console.log('fullscreenchange!');
		ToggleVideoSize();
	});
}
function ReloadVideo(){
	video = $api.byId('my-video');
	if(!IsValid(video))
		return;
	video.load();
}
function PlayVideo(){
	video = $api.byId('my-video');
	if(!IsValid(video))
		return;
	video.play();
}
function ReloadAudio(){
	audio = $api.byId('my-audio');
	if(!IsValid(audio))
		return;
	audio.load();
}
function PlayAudio(){
	audio = $api.byId('my-audio');
	if(!IsValid(audio))
		return;
	audio.play();
}
function PauseVideo(){
	video = $api.byId('my-video');
	if(!IsValid(video))
		return;
	video.pause();
}
function PauseAudio(){
	audio = $api.byId('my-audio');
	if(!IsValid(audio))
		return;
	audio.pause();
}
/*-webkit-playsinline=true*/
function InFullScreen(){api.setFullScreen({fullScreen: true});}
function OutFullScreen(){api.setFullScreen({fullScreen: false});}
function ToggleVideoSize(){
	if(isVideoFullScreen)
	{
		//console.log('退出全屏');
		OutFullScreen();
		OutVideoScreen();
	}else
	{
		//console.log('进入全屏！');
		InFullScreen();
		InVideoScreen();
	}
	isVideoFullScreen=!isVideoFullScreen;
}
function InVideoScreen(){
	if(api.systemType=='ios')	api.setScreenOrientation({orientation: 'auto'});
	else 						api.setScreenOrientation({orientation: 'landscape_left'});
	api.setKeepScreenOn({keepOn: true});
}
function OutVideoScreen(){
	api.setScreenOrientation({orientation: 'portrait_up'});
	api.setKeepScreenOn({keepOn: false});
}

function GetNetWorkState(){
	console.log('networkState = '+video.networkState);
	//window.setTimeout('GetNetWorkState();', 1000);
}